LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 10-14-2002, 05:22 AM   #1
ronss
Member
 
Registered: Mar 2002
Location: phoenix,az
Distribution: red hat linux enterprise-centos
Posts: 766

Rep: Reputation: 31
download clarification needed-kde 3.04


need a explanation-

i want to download 3.04 kde, i found a download site, ckicked on kde 3.04-clicked on suse 8.1, then get to a page that has these four folders-

ix86 noarch ppc src

what is the difference between these download kde 3.04 folders. i am thinking i download from the src, which i have done, and seem like everything is okay

thanks ronss

Last edited by ronss; 10-14-2002 at 05:26 AM.
 
Old 10-14-2002, 05:32 AM   #2
Azrael
Member
 
Registered: Sep 2002
Location: Germany
Distribution: SuSE 8.0
Posts: 96

Rep: Reputation: 15
ix86 contains the rpm files for intel machines (and intel-compatible), these things are already compiled.
ppc contains the same for PPC driven machines like Macs.
src contains the source rpms, needed to build your own rpms out of the source, you usually don't want it.
noarch contains architecture independent rpms, like translations.
So if you have a pc, use the ix86 directory. Otherwise, are you sure, that is not available via YOU (yast online update?), this would be the easiest way to get it.
 
Old 10-14-2002, 05:45 AM   #3
ronss
Member
 
Registered: Mar 2002
Location: phoenix,az
Distribution: red hat linux enterprise-centos
Posts: 766

Original Poster
Rep: Reputation: 31
i downloaded the src rpms and installed with yast. i now have kde 3.04, and so far things seem to be working. the reason i did not download from the ix86 was because of the many files presnent, would take 3 or 4 hours .am i okay with the src download as long as things work?*\

well now when i boot , it says kde 3, but my browser says konqueror 3.04, not sure if kde 3.04 got installed?

Last edited by ronss; 10-14-2002 at 06:26 AM.
 
Old 10-14-2002, 09:44 AM   #4
Azrael
Member
 
Registered: Sep 2002
Location: Germany
Distribution: SuSE 8.0
Posts: 96

Rep: Reputation: 15
It's ok if it works, but are you sure you took src (the files end with .src.rpm or .spm)? As this needs recompiling the whole kde a matter of several hours on a 2GHz Machine you should have noticed it and of course you need to do rebuilding by hand or does the new yast version rebuilds them automatically?

Concerning the millions of packages. Do a "rpm -qa | grep kde" and download only new versions of the packages which are already installed (and their dependecies).
 
Old 10-14-2002, 11:41 AM   #5
marsonist
Member
 
Registered: Sep 2002
Location: Stuttgart, Germany
Distribution: SuSE 9.1 Pro
Posts: 171

Rep: Reputation: 30
Better yet, just use the yast online update tool. It will automaticaly download and install all of the necessary files. Takes all of the thinking out of it.
 
Old 10-15-2002, 04:43 AM   #6
ronss
Member
 
Registered: Mar 2002
Location: phoenix,az
Distribution: red hat linux enterprise-centos
Posts: 766

Original Poster
Rep: Reputation: 31
i went to the yast online update, i cannot get any of the suse mirrors to work?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Clarification needed in this reg exp/awk code mselvam Programming 3 07-09-2005 05:26 PM
Clarification Needed nagu_linux Linux - Software 1 03-30-2005 02:48 AM
GRUB clarification needed CyberLord_7 Fedora 2 02-16-2005 01:37 PM
Clarification needed..... SomeEverydayNob Linux - Newbie 3 05-10-2003 02:07 PM
What to download. What is needed. purvisk Linux - Distributions 8 02-02-2002 03:31 PM


All times are GMT -5. The time now is 03:34 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration